vagrant

Cambiando version de PHP en Ubuntu / Nginx

Si tenemos la nueva version de Homestead que es la imagen de vagrant creada para los desarrolladores de Laravel (https://atlas.hashicorp.com/laravel/boxes/homestead) que desde la version 0.4.0 ya viene con PHP7 por defecto y por el contrario requerimos usar la version 5.6 o una inferior lo que debemos realizar es lo siguiente: 1- Opcionalmente podríamos eliminar la version de PHP 7, pero lo mejor es dejarla instalada  para un proyecto puntual en el futuro. 2. Actualizar nuestro repositorio de ubuntu 3. Procedemos a instalar PHP (en este caso 5.6) con todos los módulos que necesitamos
laravel

Instalando Laravel en Mac OS x Mavericks via Composer

Laravel es un framework de PHP que esta cimentando usando una gran cantidad de componentes del  framework Symfony aunque en estructura es algo más parecido a Silex (Microframework basado en Symfony y creado por esa misma empresa), Este framework ha tenido una gran acogida en los últimos meses en el mundo y ya va por su version 4. Este pequeño post lo dedicara a la instalacion de laravel para iniciar un nuevo proyecto localmente en Mac OSx usando composer. Los requisitos minimos para usar laravel son:
  • PHP >= 5.4
  • MCrypt PHP Extension (En Mac OS x por defecto no esta instalada)
Lo primero y más recomendable de hacer es usar no solo para proyectos con laravel sino para cualquier tipo de proyecto en PHP. Composer getcomposer.org  es un manejador de dependencias para PHP, con lo cual se pueden desplegar los proyectos con los requisitos de los mismo de una manera sencilla y rapida. Para instalar composer podemos hacerlo por proyecto o para lo registramos para que pueda ser invocando en cualquier parte. Lo primero es abrir la terminal y colocar O en un directorio determinado usando